Bug 69793 - kernel 2.4.18-5: removed function in_ntoa still used in fs/nfs/nfsroot.c
kernel 2.4.18-5: removed function in_ntoa still used in fs/nfs/nfsroot.c
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
All Linux
low Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-25 10:36 EDT by Christoph Karle
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 14:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Karle 2002-07-25 10:36:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020311

Description of problem:
the function in_ntoa from include/linux/inet.h is removed in
2.4.18-5 (it was still there in 2.4.18-3). But it's still used in
fs/nfs/nfsroot.c in one printk on line 347 (the other uses have been removed
beetween 2.4.18-3 and 2.4.18-5), so it should be extremely easy to fix.
This breaks linking of the kernel (undefined reference to 'in_ntoa') when root
over nfs is enabled.

Version-Release number of selected component (if applicable):
2.4.18-5

How reproducible:
Always

Steps to Reproduce:
1.upgrade RH 7.3 to kernel 2.4.18-5
2.make config and enable root over nfs
3.make dep && make bzImage



Additional info:
Comment 1 Arjan van de Ven 2003-06-07 14:54:28 EDT
current erratum has this fixed

Note You need to log in before you can comment on or make changes to this bug.